## ikiwiki 3.20100122ubuntu1

=== debian/changelog ===
ikiwiki (3.20100122ubuntu1) lucid; urgency=low

  * Merge from debian unstable: (LP: #520530)
    - Drop wdg-html-validator from Build-Depends field. The xmlns set in the
      generated <html> elements causes /usr/bin/validate to attempt to download
      a file from w3.org. This doesn't work without Internet access.

 -- Leo Iannacone <l3on@ubuntu.com>  Thu, 11 Feb 2010 11:23:50 +0100

ikiwiki (3.20100122) unstable; urgency=low

  * inline: Avoid showing edit links if page editing is disabled.
    (Sjoerd)
  * signinedit: Auto-disable the plugin when all authentication methods
    are disabled.
  * comments: Fix permalinks for comments using new conflict-free filenames.
  * img: Support alignment of images with captions. (Giuseppe Bilotta)
  * websetup: Fix utf-8 problems.
  * websetup: Fix bug in array change detection.
  * linkmap: Simplify and improve browser compatibility by using an img, 
    not object tag.
  * git: The new git-notes feature in git 1.6.6 changes git log output
    in a way that broke ikiwiki's parser if notes are added to commits.
  * po: Avoid crash when a page is empty.

 -- Joey Hess <joeyh@debian.org>  Fri, 22 Jan 2010 16:02:36 -0500

ikiwiki (3.20100102.3ubuntu1) lucid; urgency=low

  * Merge from Debian testing, remaining Ubuntu changes:
    - Drop wdg-html-validator from Build-Depends field. The xmlns set in the
      generated <html> elements causes /usr/bin/validate to attempt to download
      a file from w3.org. This doesn't work without Internet access.

 -- Andrea Gasparini <gaspa@yattaweb.it>  Thu, 14 Jan 2010 22:56:29 +0100

ikiwiki (3.20100102.3) unstable; urgency=low

  Happy palindrome day!

  * pagestats: Add show parameter. Closes: #562129 (David Paleino)
  * toc: Add startlevel parameter. (kerravonsen)
  * Remove example ikiwiki setup file from the Debian package. This
    re-enables linking to /usr/share/ikiwiki/examples which has the
    example sites also used by auto-blog.setup. The example setup file
    can be generated at any time using ikiwiki --dumpsetup so I do
    not see a reason to ship it. Closes: #562183
  * Use env hack in python scripts.
  * comments: Add a checksum to the name of comment pages, to
    avoid merge conflicts when comments are posted to two branches of a
    site.
  * linkmap: Add option to omit disconnected pages from the map.
  * inline: Fix bug that limited displayed pages when feedshow was
    specified w/o show.
  * Fix several places that did not properly handle capitalization of
    the discussionpage setting. Specifically, fixes discussion actions
    on discussion pages, and unbreaks the opendiscussion plugin.

 -- Joey Hess <joeyh@debian.org>  Sat, 02 Jan 2010 21:46:16 -0500

ikiwiki (3.20091218) unstable; urgency=low

  * Add complete Spanish basewiki translation done by Fernando Gonzalez de
    Requena.
  * Improve javascript onload handling.
  * monotone: Deal with format change in version 0.45.
    (Thanks, Richard Levitte)
  * cvs: Add missing bit to Automator.
  * attachment: Fix reversion in attachment sorting by age.
  * Fix utf-8 problems in rename, remove, attachment, 404, sourcepage, and
    goto.

 -- Joey Hess <joeyh@debian.org>  Fri, 18 Dec 2009 20:47:24 -0500

ikiwiki (3.20091202) unstable; urgency=low

  * meta: Generate meta description tags even when the html scrubber is
    enabled.
  * meta: Allow use of DESCRIPTION in templates to get at the meta description
    value. (Thanks, NicolasLimare)
  * inline: Use caching of inlined pages to speed up builds of inlines that
    include feeds. Speedup of about 25% for small inlines; could be much
    larger for inlines of many, or complex pages.
  * Added (incomplete) Turkish po file. Closes: #556744
    Thanks, Recai Oktaş
  * date: New plugin that allows inserting date directives that expand to
    pretty-printed dates, using the same formatting as used for page
    modification date display, etc.
  * htmllink: Allow a title attribute to be specified.
  * calendar: Add title attributes for all links in the calendars.
  * calendar: Fix month wraparound error that broke in December.

 -- Joey Hess <joeyh@debian.org>  Wed, 02 Dec 2009 13:09:20 -0500

ikiwiki (3.20091113) unstable; urgency=low

  * underlay: Fix example values put in setup file to be array
    references.
  * underlay: Avoid crashing if lists of underlays (or template
    directories) are not configured.
  * Moved the postscan hook to run on the raw html of a page, before
    the template is filled out. This improves the search plugin's indexing,
    since it will not include navigational elements from the page template
    or sidebar.
  * localstyle: New plugin, allows overrding the toplevel local.css
    with one that is closer to a page.
  * httpauth: Add cgiauthurl setting that can be used to do http basic auth
    only when ikiwiki needs authentication, rather than for any access to 
    the cgi/wiki.
  * inline: Do not generate feeds for nested inlines.
  * inline: Allow direct inclusion of non-page files in raw mode.
  * inline: Fix display of all pages when archive=yes or show=0 are used.

 -- Joey Hess <joeyh@debian.org>  Fri, 13 Nov 2009 20:51:57 -0500

ikiwiki (3.20091031) unstable; urgency=low

  * po: Fix breakage caused by changes to render code.
  * mdwn: Avoid trying to use multimarkdown if it is not installed. 
  * moderatedcomments: New plugin to allow comment moderation w/o relying
    on blogspam.net.
  * When redirecting to a page, ie, after editing, ensure that the
    url is uri-encoded. Most browsers other than MSIE don't care, but it's
    the right thing to do.
  * Add a spec file to allow building rpm from the source package.
  * google: Pass the whole wiki url to google, not just the domain,
    so that search works correctly for wikis that are located in
    subdirectories of domains.

 -- Joey Hess <joeyh@debian.org>  Sat, 31 Oct 2009 18:29:38 -0400

ikiwiki (3.20091023) unstable; urgency=low

  * inline: Fix raw mode. Closes: #552114



=== debian/control ===
Source: ikiwiki
Section: web
Priority: optional
Build-Depends: perl, debhelper (>= 7.0.50)
Build-Depends-Indep: dpkg-dev (>= 1.9.0), libxml-simple-perl,
  libtext-markdown-perl | markdown, 
  libtimedate-perl, libhtml-template-perl,
  libhtml-scrubber-perl, 
  libhtml-parser-perl, liburi-perl, perlmagick, po4a (>= 0.34),
  libfile-chdir-perl
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
Uploaders: Josh Triplett <josh@freedesktop.org>
Standards-Version: 3.8.3
Homepage: http://ikiwiki.info/
Vcs-Git: git://git.ikiwiki.info/
Vcs-Browser: http://git.ikiwiki.info/?p=ikiwiki

Package: ikiwiki
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, ${python:Depends}, 
  libtext-markdown-perl | markdown,
  libhtml-scrubber-perl, libhtml-template-perl,
  libhtml-parser-perl, liburi-perl
Recommends: gcc | c-compiler, 
  libc6-dev | libc-dev,
  subversion | git-core (>= 1:1.5.0) | tla | bzr (>= 0.91) | mercurial | monotone (>= 0.38) | darcs,
  libxml-simple-perl, libnet-openid-consumer-perl,
  liblwpx-paranoidagent-perl, libtimedate-perl,
  libcgi-formbuilder-perl (>= 3.05), libcgi-session-perl (>= 4.14-1),
  libmail-sendmail-perl, libauthen-passphrase-perl, libterm-readline-gnu-perl
Suggests: viewvc | gitweb | viewcvs, libsearch-xapian-perl,
  xapian-omega (>= 1.0.5), librpc-xml-perl, libtext-wikiformat-perl,
  python, python-docutils, polygen, tidy, libhtml-tree-perl,
  libxml-feed-perl, libmailtools-perl, perlmagick,
  libfile-mimeinfo-perl, libcrypt-ssleay-perl,
  liblocale-gettext-perl (>= 1.05-1), libtext-typography-perl,
  libtext-csv-perl, libdigest-sha1-perl, graphviz, libnet-amazon-s3-perl,
  sparkline-php, texlive, dvipng, libtext-wikicreole-perl,
  libsort-naturally-perl, libtext-textile-perl, libhighlight-perl,
  po4a (>= 0.35-1), gettext
Conflicts: ikiwiki-plugin-table
Replaces: ikiwiki-plugin-table
Provides: ikiwiki-plugin-table
Description: a wiki compiler
 ikiwiki converts a directory full of wiki pages into HTML pages suitable
 for publishing on a website. Unlike many wikis, ikiwiki does not have its
 own ad-hoc means of storing page history, and instead uses a revision control
 system such as Subversion or Git.
 .
 ikiwiki implements all of the other standard features of a wiki, including
 web-based page editing, user registration and logins, a RecentChanges
 page, BackLinks, search, Discussion pages, tags, smart merging and conflict
 resolution, and page locking.
 .
 ikiwiki also supports generating news feeds (RSS and Atom) and blogging.
 ikiwiki provides a plugin system which allows many other features to be
 added. Some of the plugins have additional dependencies, found among the
 Recommends and Suggests of this package.

## ikiwiki 3.20100312

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,12 @@
 Build-Depends-Indep: dpkg-dev (>= 1.9.0), libxml-simple-perl,
   libtext-markdown-perl | markdown, 
   libtimedate-perl, libhtml-template-perl,
-  libhtml-scrubber-perl, 
+  libhtml-scrubber-perl, wdg-html-validator,
   libhtml-parser-perl, liburi-perl, perlmagick, po4a (>= 0.34),
   libfile-chdir-perl
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
+Maintainer: Joey Hess <joeyh@debian.org>
 Uploaders: Josh Triplett <josh@freedesktop.org>
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 Homepage: http://ikiwiki.info/
 Vcs-Git: git://git.ikiwiki.info/
 Vcs-Browser: http://git.ikiwiki.info/?p=ikiwiki

## ikiwiki 3.20100623

=== debian/control ===
Source: ikiwiki
Section: web
Priority: optional
Build-Depends: perl, debhelper (>= 7.0.50)
Build-Depends-Indep: dpkg-dev (>= 1.9.0), libxml-simple-perl,
  libtext-markdown-perl | markdown, 
  libtimedate-perl, libhtml-template-perl,
  libhtml-scrubber-perl, wdg-html-validator,
  libhtml-parser-perl, liburi-perl (>= 1.36), perlmagick, po4a (>= 0.34),
  libfile-chdir-perl,
Maintainer: Joey Hess <joeyh@debian.org>
Uploaders: Josh Triplett <josh@freedesktop.org>
Standards-Version: 3.8.4
Homepage: http://ikiwiki.info/
Vcs-Git: git://git.ikiwiki.info/
Vcs-Browser: http://git.ikiwiki.info/?p=ikiwiki

Package: ikiwiki
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, ${python:Depends}, 
  libtext-markdown-perl | markdown,
  libhtml-scrubber-perl, libhtml-template-perl,
  libhtml-parser-perl, liburi-perl (>= 1.36)
Recommends: gcc | c-compiler, 
  libc6-dev | libc-dev,
  subversion | git-core (>= 1:1.5.0) | git (>= 1:1.7) | tla | bzr (>= 0.91) | mercurial | monotone (>= 0.38) | darcs,
  libxml-simple-perl, libnet-openid-consumer-perl,
  liblwpx-paranoidagent-perl, libtimedate-perl,
  libcgi-formbuilder-perl (>= 3.05), libcgi-session-perl (>= 4.14-1),
  libmail-sendmail-perl, libauthen-passphrase-perl, libterm-readline-gnu-perl
Suggests: viewvc | gitweb | viewcvs, libsearch-xapian-perl,
  xapian-omega (>= 1.0.5), librpc-xml-perl, libtext-wikiformat-perl,
  python, python-docutils, polygen, tidy, libhtml-tree-perl,
  libxml-feed-perl, libmailtools-perl, perlmagick,
  libfile-mimeinfo-perl, libcrypt-ssleay-perl,
  liblocale-gettext-perl (>= 1.05-1), libtext-typography-perl,
  libtext-csv-perl, libdigest-sha1-perl, graphviz, libnet-amazon-s3-perl,
  libsparkline-php, texlive, dvipng, libtext-wikicreole-perl,
  libsort-naturally-perl, libtext-textile-perl, libhighlight-perl,
  po4a (>= 0.35-1), gettext, libyaml-perl
Conflicts: ikiwiki-plugin-table
Replaces: ikiwiki-plugin-table
Provides: ikiwiki-plugin-table
Description: a wiki compiler
 Ikiwiki converts a directory full of wiki pages into HTML pages suitable
 for publishing on a website. Unlike many wikis, ikiwiki does not have its
 own ad-hoc means of storing page history, and instead uses a revision control
 system such as Subversion or Git.
 .
 Ikiwiki implements all of the other standard features of a wiki, including
 web-based page editing, user registration and logins, a RecentChanges
 page, BackLinks, search, Discussion pages, tags, smart merging and conflict
 resolution, and page locking.
 .
 Ikiwiki also supports generating news feeds (RSS and Atom) and blogging.
 ikiwiki provides a plugin system which allows many other features to be
 added. Some of the plugins have additional dependencies, found among the
 Recommends and Suggests of this package.

## ikiwiki 3.20100722ubuntu1

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,13 @@
 Build-Depends-Indep: dpkg-dev (>= 1.9.0), libxml-simple-perl,
   libtext-markdown-perl | markdown, 
   libtimedate-perl, libhtml-template-perl,
-  libhtml-scrubber-perl, wdg-html-validator,
+  libhtml-scrubber-perl, 
   libhtml-parser-perl, liburi-perl (>= 1.36), perlmagick, po4a (>= 0.34),
   libfile-chdir-perl,
-Maintainer: Joey Hess <joeyh@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
 Uploaders: Josh Triplett <josh@freedesktop.org>
-Standards-Version: 3.8.4
+Standards-Version: 3.9.0
 Homepage: http://ikiwiki.info/
 Vcs-Git: git://git.ikiwiki.info/
 Vcs-Browser: http://git.ikiwiki.info/?p=ikiwiki

## ikiwiki 3.20100815~bpo50+1

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,10 @@
 Build-Depends-Indep: dpkg-dev (>= 1.9.0), libxml-simple-perl,
   libtext-markdown-perl | markdown, 
   libtimedate-perl, libhtml-template-perl,
-  libhtml-scrubber-perl, 
+  libhtml-scrubber-perl, wdg-html-validator,
   libhtml-parser-perl, liburi-perl (>= 1.36), perlmagick, po4a (>= 0.34),
   libfile-chdir-perl,
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
+Maintainer: Joey Hess <joeyh@debian.org>
 Uploaders: Josh Triplett <josh@freedesktop.org>
 Standards-Version: 3.9.0
 Homepage: http://ikiwiki.info/
@@ -35,7 +34,7 @@
   libxml-feed-perl, libmailtools-perl, perlmagick,
   libfile-mimeinfo-perl, libcrypt-ssleay-perl,
   liblocale-gettext-perl (>= 1.05-1), libtext-typography-perl,
-  libtext-csv-perl, libdigest-sha1-perl, graphviz, libnet-amazon-s3-perl,
+  libtext-csv-perl, graphviz, libnet-amazon-s3-perl,
   libsparkline-php, texlive, dvipng, libtext-wikicreole-perl,
   libsort-naturally-perl, libtext-textile-perl, libhighlight-perl,
   po4a (>= 0.35-1), gettext, libyaml-perl

## ikiwiki 3.20100815.9

=== po/Makefile ===
# List here all source files with translatable strings.
POTFILES=$(sort $(shell find ../IkiWiki -type f -name \*.pm)) \
	../ikiwiki.in ../IkiWiki.pm ../auto.setup

POFILES=$(wildcard *.po)
MOFILES=$(POFILES:.po=.mo)

# Translated underlays can only be generated if po4a is available.
TRANSLATED_UNDERLAYS=$(shell if perl -e 'use Locale::Po4a::Common' 2>/dev/null; then echo ../underlays/locale; fi)

all: ikiwiki.pot mo $(TRANSLATED_UNDERLAYS)

mo: $(MOFILES)

install: all
	# Normal mo files for program translation.
	for file in $(MOFILES); do \
		lang=`echo $$file | sed 's/\.mo//'`; \
		install -d $(DESTDIR)$(PREFIX)/share/locale/$$lang/LC_MESSAGES/; \
		install -m 0644 $$file $(DESTDIR)$(PREFIX)/share/locale/$$lang/LC_MESSAGES/ikiwiki.mo; \
	done
	
	# Underlay translation via po files that go in special per-language
	# underlays.
	for file in `cd underlays && find . -type f -name \*.po`; do \
		lang=`echo $$file | sed -e 's/.po$$//' -e 's/.*\\.//'`; \
		dir=`dirname "$(DESTDIR)$(PREFIX)/share/ikiwiki/po/$$lang/$$file"`; \
		install -d $$dir; \
		install -m 0644 underlays/$$file $$dir; \
	done

ikiwiki.pot: $(POTFILES)
	@if perl -e '($$ver)=`xgettext -V | head -n 1`=~/.*\s+([0-9]+\.[0-9]+)/; die "gettext $$ver too old, not updating the pot file\n" if $$ver < 0.16'; then \
		echo "Rebuilding the pot file"; \
		xgettext --from-code=UTF-8 $(POTFILES) -o ikiwiki.pot -Lperl --add-comments=translators; \
	fi

clean:
	rm -f $(MOFILES) messages messages.mo *_stamp
	rm -rf html underlays/.ikiwiki $(TRANSLATED_UNDERLAYS)
	find underlays -name \*.mdwn -or -name \*.pot | xargs rm -f

%.mo: %.po
	msgfmt -o $@ $<

%.po: ikiwiki.pot
	@echo -n "Merging ikiwiki.pot and $@"
	@msgmerge $@ ikiwiki.pot -o $@.new 2>&1
# Typically all that changes was a date or line number. I'd prefer not to
# commit such changes, so detect and ignore them.
	@if [ "`diff $@ $@.new | grep '[<>]' | grep -v '[<>] #:' | wc -l`" -ne 2 ]; then \
		mv -f $@.new $@; \
	else \
		rm -f $@.new; \
	fi
	@msgfmt --statistics $@ 2>&1

check:
	@for file in $(POFILES); do \
		lang=`echo $$file | sed 's/\.po//'`; \
		printf "$$lang: "; \
		msgfmt -o /dev/null -c -v --statistics $$lang.po;\
	done

underlays_copy_stamp:
	# copy all the files we want to translate into a srcdir
	for file in `cd ..; find underlays -follow -name \*.mdwn`; do \
		install -d $$(dirname $$file); \
		cp -aL ../$$file $$file 2>/dev/null || \
		install -m 644 ../$$file $$file; \
	done
	install -d underlays/directives/ikiwiki/directive
	for file in `cd ..; find doc/ikiwiki/directive/ -maxdepth 1 -type f`; do \
		cp -a ../$$file underlays/directives/ikiwiki/directive ||  \
		install -m 644 ../$$file underlays/directives/ikiwiki/directive; \
	done
	install -d underlays/empty
	touch $@

underlays: ../ikiwiki.out underlays_copy_stamp
	../ikiwiki.out -libdir .. -setup underlay.setup -refresh

../ikiwiki.out: ../Makefile
	make -C .. ikiwiki.out

../Makefile: ../Makefile.PL
	cd .. && ./Makefile.PL

$(TRANSLATED_UNDERLAYS): po2wiki_stamp
po2wiki_stamp: po2wiki underlays_copy_stamp
	PERL5LIB=.. ./po2wiki underlay.setup
	touch $@

.PHONY: underlays

## ikiwiki 3.20110124ubuntu1

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,13 @@
 Build-Depends-Indep: dpkg-dev (>= 1.9.0), libxml-simple-perl,
   libtext-markdown-perl | markdown, 
   libtimedate-perl, libhtml-template-perl,
-  libhtml-scrubber-perl, wdg-html-validator,
+  libhtml-scrubber-perl,
   libhtml-parser-perl, liburi-perl (>= 1.36), perlmagick, po4a (>= 0.34),
   libfile-chdir-perl,
-Maintainer: Joey Hess <joeyh@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
 Uploaders: Josh Triplett <josh@freedesktop.org>
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 Homepage: http://ikiwiki.info/
 Vcs-Git: git://git.ikiwiki.info/
 Vcs-Browser: http://git.ikiwiki.info/?p=ikiwiki
@@ -32,7 +33,7 @@
   xapian-omega (>= 1.0.5), librpc-xml-perl, libtext-wikiformat-perl,
   python, python-docutils, polygen, tidy, libhtml-tree-perl,
   libxml-feed-perl, libmailtools-perl, perlmagick,
-  libfile-mimeinfo-perl, libcrypt-ssleay-perl,
+  libfile-mimeinfo-perl, file, libcrypt-ssleay-perl,
   liblocale-gettext-perl (>= 1.05-1), libtext-typography-perl,
   libtext-csv-perl, graphviz, libnet-amazon-s3-perl,
   libsparkline-php, texlive, dvipng, libtext-wikicreole-perl,

## ikiwiki 3.20110328

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,10 @@
 Build-Depends-Indep: dpkg-dev (>= 1.9.0), libxml-simple-perl,
   libtext-markdown-perl | markdown, 
   libtimedate-perl, libhtml-template-perl,
-  libhtml-scrubber-perl,
+  libhtml-scrubber-perl, wdg-html-validator,
   libhtml-parser-perl, liburi-perl (>= 1.36), perlmagick, po4a (>= 0.34),
   libfile-chdir-perl,
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
+Maintainer: Joey Hess <joeyh@debian.org>
 Uploaders: Josh Triplett <josh@freedesktop.org>
 Standards-Version: 3.9.1
 Homepage: http://ikiwiki.info/
@@ -21,7 +20,7 @@
 Depends: ${misc:Depends}, ${perl:Depends}, ${python:Depends}, 
   libtext-markdown-perl | markdown,
   libhtml-scrubber-perl, libhtml-template-perl,
-  libhtml-parser-perl, liburi-perl (>= 1.36)
+  libhtml-parser-perl, liburi-perl (>= 1.36), libyaml-perl
 Recommends: gcc | c-compiler, 
   libc6-dev | libc-dev,
   subversion | git-core (>= 1:1.5.0) | git (>= 1:1.7) | tla | bzr (>= 0.91) | mercurial | monotone (>= 0.38) | darcs,
@@ -38,7 +37,7 @@
   libtext-csv-perl, graphviz, libnet-amazon-s3-perl,
   libsparkline-php, texlive, dvipng, libtext-wikicreole-perl,
   libsort-naturally-perl, libtext-textile-perl, libhighlight-perl,
-  po4a (>= 0.35-1), gettext, libyaml-perl
+  po4a (>= 0.35-1), gettext
 Conflicts: ikiwiki-plugin-table
 Replaces: ikiwiki-plugin-table
 Provides: ikiwiki-plugin-table

## ikiwiki 3.20110715ubuntu1

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,13 @@
 Build-Depends-Indep: dpkg-dev (>= 1.9.0), libxml-simple-perl,
   libtext-markdown-perl | markdown, 
   libtimedate-perl, libhtml-template-perl,
-  libhtml-scrubber-perl, wdg-html-validator,
+  libhtml-scrubber-perl,
   libhtml-parser-perl, liburi-perl (>= 1.36), perlmagick, po4a (>= 0.34),
-  libfile-chdir-perl,
-Maintainer: Joey Hess <joeyh@debian.org>
+  libfile-chdir-perl, libyaml-perl, python-support
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
 Uploaders: Josh Triplett <josh@freedesktop.org>
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://ikiwiki.info/
 Vcs-Git: git://git.ikiwiki.info/
 Vcs-Browser: http://git.ikiwiki.info/?p=ikiwiki
@@ -20,24 +21,26 @@
 Depends: ${misc:Depends}, ${perl:Depends}, ${python:Depends}, 
   libtext-markdown-perl | markdown,
   libhtml-scrubber-perl, libhtml-template-perl,
-  libhtml-parser-perl, liburi-perl (>= 1.36), libyaml-perl
+  libhtml-parser-perl, liburi-perl (>= 1.36), libyaml-perl, libjson-perl
 Recommends: gcc | c-compiler, 
   libc6-dev | libc-dev,
   subversion | git-core (>= 1:1.5.0) | git (>= 1:1.7) | tla | bzr (>= 0.91) | mercurial | monotone (>= 0.38) | darcs,
-  libxml-simple-perl, libnet-openid-consumer-perl,
+  libxml-simple-perl, libnet-openid-consumer-perl, libcrypt-ssleay-perl,
   liblwpx-paranoidagent-perl, libtimedate-perl,
   libcgi-formbuilder-perl (>= 3.05), libcgi-session-perl (>= 4.14-1),
-  libmail-sendmail-perl, libauthen-passphrase-perl, libterm-readline-gnu-perl
+  libmail-sendmail-perl, libauthen-passphrase-perl, libterm-readline-gnu-perl,
+  libgravatar-url-perl
 Suggests: viewvc | gitweb | viewcvs, libsearch-xapian-perl,
   xapian-omega (>= 1.0.5), librpc-xml-perl, libtext-wikiformat-perl,
   python, python-docutils, polygen, tidy, libhtml-tree-perl,
   libxml-feed-perl, libmailtools-perl, perlmagick,
-  libfile-mimeinfo-perl, file, libcrypt-ssleay-perl,
+  libfile-mimeinfo-perl, file,
   liblocale-gettext-perl (>= 1.05-1), libtext-typography-perl,
   libtext-csv-perl, graphviz, libnet-amazon-s3-perl,
   libsparkline-php, texlive, dvipng, libtext-wikicreole-perl,
   libsort-naturally-perl, libtext-textile-perl, libhighlight-perl,
-  po4a (>= 0.35-1), gettext
+  po4a (>= 0.35-1), gettext, libnet-inet6glue-perl,
+  libtext-multimarkdown-perl
 Conflicts: ikiwiki-plugin-table
 Replaces: ikiwiki-plugin-table
 Provides: ikiwiki-plugin-table

## ikiwiki 3.20111107

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,10 @@
 Build-Depends-Indep: dpkg-dev (>= 1.9.0), libxml-simple-perl,
   libtext-markdown-perl | markdown, 
   libtimedate-perl, libhtml-template-perl,
-  libhtml-scrubber-perl,
+  libhtml-scrubber-perl, wdg-html-validator,
   libhtml-parser-perl, liburi-perl (>= 1.36), perlmagick, po4a (>= 0.34),
   libfile-chdir-perl, libyaml-perl, python-support
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
+Maintainer: Joey Hess <joeyh@debian.org>
 Uploaders: Josh Triplett <josh@freedesktop.org>
 Standards-Version: 3.9.2
 Homepage: http://ikiwiki.info/
@@ -24,14 +23,14 @@
   libhtml-parser-perl, liburi-perl (>= 1.36), libyaml-perl, libjson-perl
 Recommends: gcc | c-compiler, 
   libc6-dev | libc-dev,
-  subversion | git-core (>= 1:1.5.0) | git (>= 1:1.7) | tla | bzr (>= 0.91) | mercurial | monotone (>= 0.38) | darcs,
+  git (>= 1:1.7) | git-core (>= 1:1.5.0) | subversion | tla | bzr (>= 0.91) | mercurial | monotone (>= 0.38) | darcs,
   libxml-simple-perl, libnet-openid-consumer-perl, libcrypt-ssleay-perl,
   liblwpx-paranoidagent-perl, libtimedate-perl,
   libcgi-formbuilder-perl (>= 3.05), libcgi-session-perl (>= 4.14-1),
   libmail-sendmail-perl, libauthen-passphrase-perl, libterm-readline-gnu-perl,
-  libgravatar-url-perl
+  libgravatar-url-perl, librpc-xml-perl,
 Suggests: viewvc | gitweb | viewcvs, libsearch-xapian-perl,
-  xapian-omega (>= 1.0.5), librpc-xml-perl, libtext-wikiformat-perl,
+  xapian-omega (>= 1.0.5), libtext-wikiformat-perl,
   python, python-docutils, polygen, tidy, libhtml-tree-perl,
   libxml-feed-perl, libmailtools-perl, perlmagick,
   libfile-mimeinfo-perl, file,
@@ -56,6 +55,6 @@
  resolution, and page locking.
  .
  Ikiwiki also supports generating news feeds (RSS and Atom) and blogging.
- ikiwiki provides a plugin system which allows many other features to be
+ Ikiwiki provides a plugin system which allows many other features to be
  added. Some of the plugins have additional dependencies, found among the
  Recommends and Suggests of this package.

## ikiwiki 3.20120115

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Build-Depends: perl, debhelper (>= 7.0.50)
 Build-Depends-Indep: dpkg-dev (>= 1.9.0), libxml-simple-perl,
-  libtext-markdown-perl | markdown, 
+  libtext-markdown-discount-perl,
   libtimedate-perl, libhtml-template-perl,
   libhtml-scrubber-perl, wdg-html-validator,
   libhtml-parser-perl, liburi-perl (>= 1.36), perlmagick, po4a (>= 0.34),
@@ -13,12 +13,11 @@
 Standards-Version: 3.9.2
 Homepage: http://ikiwiki.info/
 Vcs-Git: git://git.ikiwiki.info/
-Vcs-Browser: http://git.ikiwiki.info/?p=ikiwiki
 
 Package: ikiwiki
 Architecture: all
 Depends: ${misc:Depends}, ${perl:Depends}, ${python:Depends}, 
-  libtext-markdown-perl | markdown,
+  libtext-markdown-discount-perl,
   libhtml-scrubber-perl, libhtml-template-perl,
   libhtml-parser-perl, liburi-perl (>= 1.36), libyaml-perl, libjson-perl
 Recommends: gcc | c-compiler,

## ikiwiki 3.20120202

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
   libtimedate-perl, libhtml-template-perl,
   libhtml-scrubber-perl, wdg-html-validator,
   libhtml-parser-perl, liburi-perl (>= 1.36), perlmagick, po4a (>= 0.34),
-  libfile-chdir-perl, libyaml-perl, python-support
+  libfile-chdir-perl, libyaml-libyaml-perl, python-support
 Maintainer: Joey Hess <joeyh@debian.org>
 Uploaders: Josh Triplett <josh@freedesktop.org>
 Standards-Version: 3.9.2
@@ -19,7 +19,7 @@
 Depends: ${misc:Depends}, ${perl:Depends}, ${python:Depends}, 
   libtext-markdown-discount-perl,
   libhtml-scrubber-perl, libhtml-template-perl,
-  libhtml-parser-perl, liburi-perl (>= 1.36), libyaml-perl, libjson-perl
+  libhtml-parser-perl, liburi-perl (>= 1.36), libyaml-libyaml-perl, libjson-perl
 Recommends: gcc | c-compiler, 
   libc6-dev | libc-dev,
   git (>= 1:1.7) | git-core (>= 1:1.5.0) | subversion | tla | bzr (>= 0.91) | mercurial | monotone (>= 0.38) | darcs,

## ikiwiki 3.20120202ubuntu1

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 Build-Depends-Indep: dpkg-dev (>= 1.9.0), libxml-simple-perl,
   libtext-markdown-discount-perl,
   libtimedate-perl, libhtml-template-perl,
-  libhtml-scrubber-perl, wdg-html-validator,
+  libhtml-scrubber-perl,
   libhtml-parser-perl, liburi-perl (>= 1.36), perlmagick, po4a (>= 0.34),
   libfile-chdir-perl, libyaml-libyaml-perl, python-support
-Maintainer: Joey Hess <joeyh@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
 Uploaders: Josh Triplett <josh@freedesktop.org>
 Standards-Version: 3.9.2
 Homepage: http://ikiwiki.info/

## ikiwiki 3.20120629~bpo60+1

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: ikiwiki
 Section: web
 Priority: optional
-Build-Depends: perl, debhelper (>= 7.0.50)
+Build-Depends: perl, debhelper (>= 9)
 Build-Depends-Indep: dpkg-dev (>= 1.9.0), libxml-simple-perl,
   libtext-markdown-discount-perl,
   libtimedate-perl, libhtml-template-perl,
-  libhtml-scrubber-perl,
+  libhtml-scrubber-perl, wdg-html-validator,
   libhtml-parser-perl, liburi-perl (>= 1.36), perlmagick, po4a (>= 0.34),
   libfile-chdir-perl, libyaml-libyaml-perl, python-support
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
+Maintainer: Joey Hess <joeyh@debian.org>
 Uploaders: Josh Triplett <josh@freedesktop.org>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://ikiwiki.info/
 Vcs-Git: git://git.ikiwiki.info/
 
@@ -39,7 +38,7 @@
   libsparkline-php, texlive, dvipng, libtext-wikicreole-perl,
   libsort-naturally-perl, libtext-textile-perl, libhighlight-perl,
   po4a (>= 0.35-1), gettext, libnet-inet6glue-perl,
-  libtext-multimarkdown-perl
+  libtext-multimarkdown-perl, libxml-writer-perl
 Conflicts: ikiwiki-plugin-table
 Replaces: ikiwiki-plugin-table
 Provides: ikiwiki-plugin-table

## ikiwiki 3.20120629.2

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
   libhtml-scrubber-perl, wdg-html-validator,
   libhtml-parser-perl, liburi-perl (>= 1.36), perlmagick, po4a (>= 0.34),
   libfile-chdir-perl, libyaml-libyaml-perl, python-support
-Maintainer: Joey Hess <joeyh@debian.org>
+Maintainer: Simon McVittie <smcv@debian.org>
 Uploaders: Josh Triplett <josh@freedesktop.org>
 Standards-Version: 3.9.3
 Homepage: http://ikiwiki.info/

## ikiwiki 3.20120629.2+deb7u2

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,27 @@
 Priority: optional
 Build-Depends: perl, debhelper (>= 9)
 Build-Depends-Indep: dpkg-dev (>= 1.9.0), libxml-simple-perl,
+  git (>= 1:1.7),
   libtext-markdown-discount-perl,
   libtimedate-perl, libhtml-template-perl,
   libhtml-scrubber-perl, wdg-html-validator,
   libhtml-parser-perl, liburi-perl (>= 1.36), perlmagick, po4a (>= 0.34),
-  libfile-chdir-perl, libyaml-libyaml-perl, python-support
+  libfile-chdir-perl, libyaml-libyaml-perl, librpc-xml-perl,
+  libcgi-pm-perl, libcgi-session-perl, ghostscript,
+  libmagickcore-extra,
+  libcgi-formbuilder-perl,
+  libfile-mimeinfo-perl,
+  libipc-run-perl,
+  libnet-openid-consumer-perl,
+  libxml-feed-perl,
+  libxml-parser-perl,
+  libxml-twig-perl
 Maintainer: Simon McVittie <smcv@debian.org>
 Uploaders: Josh Triplett <josh@freedesktop.org>
 Standards-Version: 3.9.3
 Homepage: http://ikiwiki.info/
 Vcs-Git: git://git.ikiwiki.info/
+Testsuite: autopkgtest-pkg-perl
 
 Package: ikiwiki
 Architecture: all

=== debian/tests/control ===
Tests: img-low-fat
Depends: @, perlmagick

Tests: img-full-fat
Depends: @, ghostscript, libmagickcore-extra, perlmagick

Test-Command: env INSTALLED_TESTS=1 /usr/share/pkg-perl-autopkgtest/runner build-deps
Depends: @, @builddeps@, pkg-perl-autopkgtest

Test-Command: env INSTALLED_TESTS=1 /usr/share/pkg-perl-autopkgtest/runner runtime-deps
Depends: @, pkg-perl-autopkgtest

Test-Command: env INSTALLED_TESTS=1 /usr/share/pkg-perl-autopkgtest/runner runtime-deps-and-recommends
Depends: @, pkg-perl-autopkgtest
Restrictions: needs-recommends

Test-Command: env INSTALLED_TESTS=1 /usr/share/pkg-perl-autopkgtest/runner heavy-deps
Depends: @, pkg-perl-autopkgtest, pkg-perl-autopkgtest-heavy

## ikiwiki 3.20120725ubuntu1

=== debian/control ===
--- 
+++ 
@@ -3,27 +3,17 @@
 Priority: optional
 Build-Depends: perl, debhelper (>= 9)
 Build-Depends-Indep: dpkg-dev (>= 1.9.0), libxml-simple-perl,
-  git (>= 1:1.7),
   libtext-markdown-discount-perl,
   libtimedate-perl, libhtml-template-perl,
-  libhtml-scrubber-perl, wdg-html-validator,
+  libhtml-scrubber-perl,
   libhtml-parser-perl, liburi-perl (>= 1.36), perlmagick, po4a (>= 0.34),
-  libfile-chdir-perl, libyaml-libyaml-perl, librpc-xml-perl,
-  libcgi-pm-perl, libcgi-session-perl, ghostscript,
-  libmagickcore-extra,
-  libcgi-formbuilder-perl,
-  libfile-mimeinfo-perl,
-  libipc-run-perl,
-  libnet-openid-consumer-perl,
-  libxml-feed-perl,
-  libxml-parser-perl,
-  libxml-twig-perl
-Maintainer: Simon McVittie <smcv@debian.org>
+  libfile-chdir-perl, libyaml-libyaml-perl, python-support
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
 Uploaders: Josh Triplett <josh@freedesktop.org>
 Standards-Version: 3.9.3
 Homepage: http://ikiwiki.info/
 Vcs-Git: git://git.ikiwiki.info/
-Testsuite: autopkgtest-pkg-perl
 
 Package: ikiwiki
 Architecture: all

## ikiwiki 3.20130904.1~bpo70+1

=== po/Makefile ===
--- 
+++ 
@@ -41,19 +41,22 @@
 	find underlays -name \*.mdwn -or -name \*.pot | xargs rm -f
 
 %.mo: %.po
-	msgfmt -o $@ $<
+	@if ! msgfmt -o $@ $<; then echo "unable to run msgfmt"; fi
 
 %.po: ikiwiki.pot
 	@echo -n "Merging ikiwiki.pot and $@"
-	@msgmerge $@ ikiwiki.pot -o $@.new 2>&1
-# Typically all that changes was a date or line number. I'd prefer not to
+# Typically all that changes is a date or line number. I'd prefer not to
 # commit such changes, so detect and ignore them.
-	@if [ "`diff $@ $@.new | grep '[<>]' | grep -v '[<>] #:' | wc -l`" -ne 2 ]; then \
-		mv -f $@.new $@; \
+	@if ! msgmerge $@ ikiwiki.pot -o $@.new 2>&1; then \
+		echo "unable to run msgmerge"; \
 	else \
-		rm -f $@.new; \
+		if [ "`diff $@ $@.new | grep '[<>]' | grep -v '[<>] #:' | wc -l`" -ne 2 ]; then \
+			mv -f $@.new $@; \
+		else \
+			rm -f $@.new; \
+		fi; \
+		msgfmt --statistics $@ 2>&1; \
 	fi
-	@msgfmt --statistics $@ 2>&1
 
 check:
 	@for file in $(POFILES); do \

=== debian/control ===
--- 
+++ 
@@ -5,19 +5,18 @@
 Build-Depends-Indep: dpkg-dev (>= 1.9.0), libxml-simple-perl,
   libtext-markdown-discount-perl,
   libtimedate-perl, libhtml-template-perl,
-  libhtml-scrubber-perl,
+  libhtml-scrubber-perl, wdg-html-validator,
   libhtml-parser-perl, liburi-perl (>= 1.36), perlmagick, po4a (>= 0.34),
   libfile-chdir-perl, libyaml-libyaml-perl, python-support
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
+Maintainer: Joey Hess <joeyh@debian.org>
 Uploaders: Josh Triplett <josh@freedesktop.org>
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://ikiwiki.info/
 Vcs-Git: git://git.ikiwiki.info/
 
 Package: ikiwiki
 Architecture: all
-Depends: ${misc:Depends}, ${perl:Depends}, ${python:Depends}, 
+Depends: ${misc:Depends}, ${perl:Depends},
   libtext-markdown-discount-perl,
   libhtml-scrubber-perl, libhtml-template-perl,
   libhtml-parser-perl, liburi-perl (>= 1.36), libyaml-libyaml-perl, libjson-perl
@@ -46,8 +45,8 @@
 Description: a wiki compiler
  Ikiwiki converts a directory full of wiki pages into HTML pages suitable
  for publishing on a website. Unlike many wikis, ikiwiki does not have its
- own ad-hoc means of storing page history, and instead uses a revision control
- system such as Subversion or Git.
+ own ad-hoc means of storing page history, and instead uses a revision
+ control system such as Subversion or Git.
  .
  Ikiwiki implements all of the other standard features of a wiki, including
  web-based page editing, user registration and logins, a RecentChanges

## ikiwiki 3.20130904.1ubuntu1

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 Build-Depends-Indep: dpkg-dev (>= 1.9.0), libxml-simple-perl,
   libtext-markdown-discount-perl,
   libtimedate-perl, libhtml-template-perl,
-  libhtml-scrubber-perl, wdg-html-validator,
+  libhtml-scrubber-perl,
   libhtml-parser-perl, liburi-perl (>= 1.36), perlmagick, po4a (>= 0.34),
   libfile-chdir-perl, libyaml-libyaml-perl, python-support
-Maintainer: Joey Hess <joeyh@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
 Uploaders: Josh Triplett <josh@freedesktop.org>
 Standards-Version: 3.9.4
 Homepage: http://ikiwiki.info/

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_configure:
	# keeps it out of /usr/local
	dh_auto_configure -- PREFIX=/usr

override_dh_compress:
	# avoid compressing files in the doc wiki
	dh_compress -Xhtml

override_dh_auto_clean:
	# distclean moans about MANIFEST, this is quieter
	if [ -e Makefile ]; then $(MAKE) realclean; fi

# Not intended for use by anyone except the author.
announcedir:
	@echo ${HOME}/src/ikiwiki/doc/news

## ikiwiki 3.20140227ubuntu1

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
 Uploaders: Josh Triplett <josh@freedesktop.org>
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://ikiwiki.info/
 Vcs-Git: git://git.ikiwiki.info/

## ikiwiki 3.20141016.2

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,13 @@
 Build-Depends-Indep: dpkg-dev (>= 1.9.0), libxml-simple-perl,
   libtext-markdown-discount-perl,
   libtimedate-perl, libhtml-template-perl,
-  libhtml-scrubber-perl,
+  libhtml-scrubber-perl, wdg-html-validator,
   libhtml-parser-perl, liburi-perl (>= 1.36), perlmagick, po4a (>= 0.34),
-  libfile-chdir-perl, libyaml-libyaml-perl, python-support
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
+  libfile-chdir-perl, libyaml-libyaml-perl, librpc-xml-perl,
+  libcgi-pm-perl, libcgi-session-perl, ghostscript,
+  libmagickcore-6.q16-2-extra | libmagickcore-extra,
+  libcgi-formbuilder-perl
+Maintainer: Simon McVittie <smcv@debian.org>
 Uploaders: Josh Triplett <josh@freedesktop.org>
 Standards-Version: 3.9.5
 Homepage: http://ikiwiki.info/
@@ -25,7 +27,7 @@
   libc6-dev | libc-dev,
   git (>= 1:1.7) | git-core (>= 1:1.5.0) | subversion | tla | bzr (>= 0.91) | mercurial | monotone (>= 0.38) | darcs,
   libxml-simple-perl, libnet-openid-consumer-perl, libcrypt-ssleay-perl,
-  liblwpx-paranoidagent-perl, libtimedate-perl,
+  liblwpx-paranoidagent-perl, libtimedate-perl, libcgi-pm-perl,
   libcgi-formbuilder-perl (>= 3.05), libcgi-session-perl (>= 4.14-1),
   libmail-sendmail-perl, libauthen-passphrase-perl, libterm-readline-gnu-perl,
   libgravatar-url-perl, librpc-xml-perl,
@@ -39,7 +41,8 @@
   libsparkline-php, texlive, dvipng, libtext-wikicreole-perl,
   libsort-naturally-perl, libtext-textile-perl, libhighlight-perl,
   po4a (>= 0.35-1), gettext, libnet-inet6glue-perl,
-  libtext-multimarkdown-perl, libxml-writer-perl
+  libtext-multimarkdown-perl, libxml-writer-perl,
+  ghostscript, libmagickcore-extra
 Conflicts: ikiwiki-plugin-table
 Replaces: ikiwiki-plugin-table
 Provides: ikiwiki-plugin-table

## ikiwiki 3.20141016.4

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,27 @@
 Priority: optional
 Build-Depends: perl, debhelper (>= 9)
 Build-Depends-Indep: dpkg-dev (>= 1.9.0), libxml-simple-perl,
+  git (>= 1:1.7),
   libtext-markdown-discount-perl,
   libtimedate-perl, libhtml-template-perl,
   libhtml-scrubber-perl, wdg-html-validator,
   libhtml-parser-perl, liburi-perl (>= 1.36), perlmagick, po4a (>= 0.34),
   libfile-chdir-perl, libyaml-libyaml-perl, librpc-xml-perl,
   libcgi-pm-perl, libcgi-session-perl, ghostscript,
-  libmagickcore-6.q16-2-extra | libmagickcore-extra,
-  libcgi-formbuilder-perl
+  libmagickcore-extra,
+  libcgi-formbuilder-perl,
+  libfile-mimeinfo-perl,
+  libipc-run-perl,
+  libnet-openid-consumer-perl,
+  libxml-feed-perl,
+  libxml-parser-perl,
+  libxml-twig-perl
 Maintainer: Simon McVittie <smcv@debian.org>
 Uploaders: Josh Triplett <josh@freedesktop.org>
 Standards-Version: 3.9.5
 Homepage: http://ikiwiki.info/
 Vcs-Git: git://git.ikiwiki.info/
+Testsuite: autopkgtest-pkg-perl
 
 Package: ikiwiki
 Architecture: all

## ikiwiki 3.20141016.4+deb8u1

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,8 @@
   libnet-openid-consumer-perl,
   libxml-feed-perl,
   libxml-parser-perl,
-  libxml-twig-perl
+  libxml-twig-perl,
+  liblwpx-paranoidagent-perl,
 Maintainer: Simon McVittie <smcv@debian.org>
 Uploaders: Josh Triplett <josh@freedesktop.org>
 Standards-Version: 3.9.5

## ikiwiki 3.20150329

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,3 @@
 override_dh_auto_clean:
 	# distclean moans about MANIFEST, this is quieter
 	if [ -e Makefile ]; then $(MAKE) realclean; fi
-
-# Not intended for use by anyone except the author.
-announcedir:
-	@echo ${HOME}/src/ikiwiki/doc/news

## ikiwiki 3.20150614

=== debian/control ===
--- 
+++ 
@@ -3,28 +3,19 @@
 Priority: optional
 Build-Depends: perl, debhelper (>= 9)
 Build-Depends-Indep: dpkg-dev (>= 1.9.0), libxml-simple-perl,
-  git (>= 1:1.7),
   libtext-markdown-discount-perl,
   libtimedate-perl, libhtml-template-perl,
-  libhtml-scrubber-perl, wdg-html-validator,
+  libhtml-scrubber-perl,
   libhtml-parser-perl, liburi-perl (>= 1.36), perlmagick, po4a (>= 0.34),
   libfile-chdir-perl, libyaml-libyaml-perl, librpc-xml-perl,
   libcgi-pm-perl, libcgi-session-perl, ghostscript,
-  libmagickcore-extra,
-  libcgi-formbuilder-perl,
-  libfile-mimeinfo-perl,
-  libipc-run-perl,
-  libnet-openid-consumer-perl,
-  libxml-feed-perl,
-  libxml-parser-perl,
-  libxml-twig-perl,
-  liblwpx-paranoidagent-perl,
+  libmagickcore-6.q16-2-extra | libmagickcore-extra,
+  libcgi-formbuilder-perl
 Maintainer: Simon McVittie <smcv@debian.org>
 Uploaders: Josh Triplett <josh@freedesktop.org>
 Standards-Version: 3.9.5
 Homepage: http://ikiwiki.info/
 Vcs-Git: git://git.ikiwiki.info/
-Testsuite: autopkgtest-pkg-perl
 
 Package: ikiwiki
 Architecture: all

## ikiwiki 3.20160121

=== po/Makefile ===
--- 
+++ 
@@ -81,10 +81,10 @@
 	touch $@
 
 underlays: ../ikiwiki.out underlays_copy_stamp
-	../ikiwiki.out -libdir .. -setup underlay.setup -refresh
+	../ikiwiki.out --libdir .. --setup underlay.setup --refresh
 
 ../ikiwiki.out: ../Makefile
-	make -C .. ikiwiki.out
+	$(MAKE) -C .. ikiwiki.out
 
 ../Makefile: ../Makefile.PL
 	cd .. && ./Makefile.PL

=== debian/control ===
Source: ikiwiki
Section: web
Priority: optional
Build-Depends:
 debhelper (>= 9),
 perl,
Build-Depends-Indep:
 dpkg-dev (>= 1.9.0),
 ghostscript,
 git (>= 1:1.7),
 libcgi-formbuilder-perl,
 libcgi-pm-perl,
 libcgi-session-perl,
 libfile-chdir-perl,
 libfile-mimeinfo-perl,
 libhtml-parser-perl,
 libhtml-scrubber-perl,
 libhtml-template-perl,
 libimage-magick-perl | perlmagick,
 libmagickcore-6.q16-2-extra | libmagickcore-extra,
 libnet-openid-consumer-perl,
 librpc-xml-perl,
 libtext-markdown-discount-perl,
 libtimedate-perl,
 liburi-perl (>= 1.36),
 libxml-feed-perl,
 libxml-parser-perl,
 libxml-simple-perl,
 libxml-twig-perl,
 libyaml-libyaml-perl,
 po4a (>= 0.34),
Maintainer: Simon McVittie <smcv@debian.org>
Uploaders:
 Josh Triplett <josh@freedesktop.org>,
Standards-Version: 3.9.6
Homepage: http://ikiwiki.info/
Vcs-Git: git://git.ikiwiki.info/
Testsuite: autopkgtest-pkg-perl

Package: ikiwiki
Architecture: all
Depends:
 libhtml-parser-perl,
 libhtml-scrubber-perl,
 libhtml-template-perl,
 libjson-perl,
 libtext-markdown-discount-perl,
 liburi-perl (>= 1.36),
 libyaml-libyaml-perl,
 ${misc:Depends},
 ${perl:Depends},
Recommends:
 gcc | c-compiler,
 git (>= 1:1.7) | git-core (>= 1:1.5.0) | subversion | tla | bzr (>= 0.91) | mercurial | monotone (>= 0.38) | darcs,
 libauthen-passphrase-perl,
 libc6-dev | libc-dev,
 libcgi-formbuilder-perl (>= 3.05),
 libcgi-pm-perl,
 libcgi-session-perl (>= 4.14-1),
 libcrypt-ssleay-perl,
 libgravatar-url-perl,
 liblwpx-paranoidagent-perl,
 libmail-sendmail-perl,
 libnet-openid-consumer-perl,
 librpc-xml-perl,
 libterm-readline-gnu-perl,
 libtimedate-perl,
 libxml-simple-perl,
Suggests:
 dvipng,
 file,
 gettext,
 ghostscript,
 graphviz,
 libfile-mimeinfo-perl,
 libhighlight-perl,
 libhtml-tree-perl,
 libimage-magick-perl | perlmagick,
 liblocale-gettext-perl (>= 1.05-1),
 libmagickcore-extra,
 libmailtools-perl,
 libnet-amazon-s3-perl,
 libnet-inet6glue-perl,
 libsearch-xapian-perl,
 libsort-naturally-perl,
 libsparkline-php,
 libtext-csv-perl,
 libtext-multimarkdown-perl,
 libtext-textile-perl,
 libtext-typography-perl,
 libtext-wikicreole-perl,
 libtext-wikiformat-perl,
 libxml-feed-perl,
 libxml-writer-perl,
 po4a (>= 0.35-1),
 polygen,
 python,
 python-docutils,
 texlive,
 tidy,
 viewvc | gitweb | viewcvs,
 xapian-omega (>= 1.0.5),
Conflicts:
 ikiwiki-plugin-table,
Replaces:
 ikiwiki-plugin-table,
Provides:
 ikiwiki-plugin-table,
Description: wiki compiler
 Ikiwiki converts a directory full of wiki pages into HTML pages suitable
 for publishing on a website. Unlike many wikis, ikiwiki does not have its
 own ad-hoc means of storing page history, and instead uses a revision
 control system such as Subversion or Git.
 .
 Ikiwiki implements all of the other standard features of a wiki, including
 web-based page editing, user registration and logins, a RecentChanges
 page, BackLinks, search, Discussion pages, tags, smart merging and conflict
 resolution, and page locking.
 .
 Ikiwiki also supports generating news feeds (RSS and Atom) and blogging.
 Ikiwiki provides a plugin system which allows many other features to be
 added. Some of the plugins have additional dependencies, found among the
 Recommends and Suggests of this package.

## ikiwiki 3.20160728

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  libhtml-scrubber-perl,
  libhtml-template-perl,
  libimage-magick-perl | perlmagick,
- libmagickcore-6.q16-2-extra | libmagickcore-extra,
+ libmagickcore-extra,
  libnet-openid-consumer-perl,
  librpc-xml-perl,
  libtext-markdown-discount-perl,
@@ -32,9 +32,10 @@
 Maintainer: Simon McVittie <smcv@debian.org>
 Uploaders:
  Josh Triplett <josh@freedesktop.org>,
-Standards-Version: 3.9.6
-Homepage: http://ikiwiki.info/
+Standards-Version: 3.9.8
+Homepage: https://ikiwiki.info/
 Vcs-Git: git://git.ikiwiki.info/
+Vcs-Browser: http://source.ikiwiki.branchable.com/?p=source.git;a=summary
 Testsuite: autopkgtest-pkg-perl
 
 Package: ikiwiki

## ikiwiki 3.20161219

=== t/manual/git_revert/Makefile ===
export PERL5LIB=$(CURDIR)/../../..
ikiwiki = $(CURDIR)/../../../ikiwiki.in

all:
	rm -fr git html
	mkdir -p git
	echo "/doc/.ikiwiki/" > git/.gitignore
	mkdir -p git/doc
	mkdir -p git/doc/writable
	cd git && git init
	cp index.mdwn git/doc/index.mdwn
	echo "This is the first test page" > git/doc/writable/one.mdwn
	echo "This is the second test page" > git/doc/writable/two.mdwn
	cd git && git add doc && git commit -m 'Initial commit'
	$(ikiwiki) --setup ikiwiki.setup
	echo "This is the first test page, it was first" > git/doc/writable/one.mdwn
	cd git && git add doc && git commit -m 'First web commit'
	$(ikiwiki) --setup ikiwiki.setup
	echo "This is the second test page, it came second" > git/doc/writable/two.mdwn
	cd git && git add doc && git commit -m 'Second web commit'
	$(ikiwiki) --setup ikiwiki.setup
	cd git && git mv doc/writable/one.mdwn doc/one.mdwn
	cd git && git mv doc/writable/two.mdwn two.mdwn
	cd git && git commit -m Rename
	$(ikiwiki) --setup ikiwiki.setup
	w3m html/index.html

## ikiwiki 3.20161229.1

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
  libhtml-parser-perl,
  libhtml-scrubber-perl,
  libhtml-template-perl,
+ libipc-run-perl,
  libimage-magick-perl | perlmagick,
  libmagickcore-extra,
  libnet-openid-consumer-perl,

## ikiwiki 3.20170111~bpo8+1

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  libhtml-template-perl,
  libipc-run-perl,
  libimage-magick-perl | perlmagick,
- libmagickcore-extra,
+ libmagickcore-6.q16-3-extra | libmagickcore-extra,
  libnet-openid-consumer-perl,
  librpc-xml-perl,
  libtext-markdown-discount-perl,

=== debian/tests/control ===
--- 
+++ 
@@ -1,9 +1,3 @@
-Tests: img-low-fat
-Depends: @, perlmagick
-
-Tests: img-full-fat
-Depends: @, ghostscript, libmagickcore-extra, perlmagick
-
 Test-Command: env INSTALLED_TESTS=1 /usr/share/pkg-perl-autopkgtest/runner build-deps
 Depends: @, @builddeps@, pkg-perl-autopkgtest

## ikiwiki 3.20170622

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
 Maintainer: Simon McVittie <smcv@debian.org>
 Uploaders:
  Josh Triplett <josh@freedesktop.org>,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://ikiwiki.info/
 Vcs-Git: git://git.ikiwiki.info/
 Vcs-Browser: http://source.ikiwiki.branchable.com/?p=source.git;a=summary
